<%@ page language="VB" masterpagefile="MasterPage.master" enableeventvalidation="false" autoeventwireup="false" inherits="Catalog, App_Web_nfqostts" %>
<%@ Register Src="UserControls/SiteNavigation.ascx" TagName="SiteNavigation" TagPrefix="uc1" %>
<%@ Register Src="UserControls/ProductView.ascx" tagname="ProductView" tagprefix="uc2" %>
<%@ MasterType VirtualPath="MasterPage.master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server" EnableViewState="true">
    <adv:SqlPagingDataSource ID="spds" runat="server" CurrentPageIndex="1"
        TableName="[Catalog].[Product] INNER JOIN [Catalog].[Offer] ON [Product].[ID] = [Offer].[ProductID] AND [Offer].[OfferListID] = 6 LEFT JOIN [Catalog].[SpecialOffer] ON [Product].[ID] = [SpecialOffer].[ProductID] LEFT JOIN [Catalog].[ProductPhoto] ON [Product].[ID] = [ProductPhoto].[ProductID] AND [Main] = 1">
        <Field Name="Path AS Photo" />
        <Field Name="ParentCategory" />
        <Field Name="BriefDescription" />
        <Field Name="ArtNo" />
        <Field Name="Name" />
        <Field Name="Price" />
        <Field Name="Discount" />
        <Field Name="Amount" />
        <Field Name="Enabled" />
        <Field Name="Ratio" />
        <Field Name="ShowRatio" />
        <Field Name="DateModified" />
        <Field Name="SpecialOfferID" />
        <Field Name="[Product].[SortOrder]" Sorting="Ascending" />
        <Field Name="[Product].[ID]" Sorting="Ascending"/>
    </adv:SqlPagingDataSource>
    <a name="a"></a>
    <%--<link href="pagenumberer.css" rel="stylesheet" type="text/css" />--%>
    <h1><asp:Label CssClass="PageHeader" ID="lblPageName" runat="server"></asp:Label></h1>
    <br />
    <uc1:SiteNavigation ID="SiteNavigation1" runat="server" />
    <asp:Panel ID="pnlNavi" runat="server" Width="100%">
    </asp:Panel>
    <br />    
    <table style="width: 600px; margin-bottom: 10px;">
    <tr>
    <%If AdvantShop.Settings.GetIsEnabledCatalogViewChange() Then%>
    <td align="left" valign="middle" style="width:30px">
    <%= Resources.Resource.Client_Default_View %>:&nbsp;
    </td>
    <td> 
                <asp:ImageButton ID="ibTiles" runat="server" CssClass="showtooltip" ToolTip="<%$ Resources:Resource, Client_Catalog_Tiles %>" />
                <asp:ImageButton ID="ibList" runat="server" CssClass="showtooltip" ToolTip="<%$ Resources:Resource, Client_Catalog_List %>" />
                <asp:ImageButton ID="ibTable" runat="server" CssClass="showtooltip" ToolTip="<%$ Resources:Resource, Client_Catalog_Table %>" />
    </td>
    <%End If%>
    <td align="right">
        <b>
            <%=Resources.Resource.Client_Catalog_SortBy%>:</b>
        <asp:DropDownList ID="sd" runat="server" AutoPostBack="true">
            <asp:ListItem Selected="True" Text="<%$ Resources:Resource, Client_Catalog_NoSorting %>" Value="0"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources:Resource, Client_Catalog_ByNameAsc %>" Value="1"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources:Resource, Client_Catalog_ByNameDesc %>" Value="2"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources:Resource, Client_Catalog_ByPriceAsc %>" Value="3"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources:Resource, Client_Catalog_ByPriceDesc %>" Value="4"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources:Resource, Client_Catalog_ByRatioAsc %>" Value="5"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources:Resource, Client_Catalog_ByRatioDesc %>" Value="6"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources:Resource, Client_Catalog_BySKUAsc %>" Value="7"></asp:ListItem>
            <asp:ListItem Text="<%$ Resources:Resource, Client_Catalog_BySKUDesc %>" Value="8"></asp:ListItem>
        </asp:DropDownList>
        </td></tr>
    </table>
    
    <div style="background-image: url('images/m_bg.gif'); margin-top: 3px; width: 600px;">
        &nbsp;</div>
    <uc2:ProductView ID="vProducts" runat="server" />
    <center style="height: 26px; margin-top: 10px;">
        <adv:PageNumberer runat="server" ID="pageNumberer" DisplayedPages="7" UseHistory="False" UseHref="true"
            CssClass="PageNumberer" Anchor="a" />
    </center>
    <center>
        <asp:Label ID="lblError" runat="server" ForeColor="Red" Visible="false"></asp:Label>
    </center>
    <script type="text/javascript">
        var base$TreeView_PopulateNodeDoCallBack = this.TreeView_PopulateNodeDoCallBack;
        var base$TreeView_ProcessNodeData = this.TreeView_ProcessNodeData;
        this.TreeView_ProcessNodeData = function(result, context) {
            //alert( "after load " );
            hide_wait_for_node(context.node);
            return base$TreeView_ProcessNodeData(result, context);
        }
        this.TreeView_PopulateNodeDoCallBack = function(context, param) {
            //alert( "before load " );
            show_wait_for_node(context.node);
            return base$TreeView_PopulateNodeDoCallBack(context, param)
        }

        function hide_wait_for_node(node) {
            if (node.wait_img) {
                node.removeChild(node.wait_img);
            }
        }

        function show_wait_for_node(node) {
            var wait_img = document.createElement("IMG");
            wait_img.src = "images/loading_blue.gif";
            wait_img.border = 0;
            node.wait_img = wait_img;
            node.appendChild(wait_img);
        }
    </script>
</asp:Content>
