﻿<%@ page language="VB" masterpagefile="~/Admin/MasterPageAdmin.master" autoeventwireup="true" inherits="Admin_ImportXLS, App_Web_rng-iczz" enableEventValidation="false" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" Runat="Server">

    <center>
        <asp:Label ID="lblAdminHead" runat="server" CssClass="AdminHead" Text="<%$ Resources:Resource, Admin_ImportXLS_Catalog %>"></asp:Label><br />
        <asp:Label ID="lblAdminSubHead" runat="server" CssClass="AdminSubHead" Text="<%$ Resources:Resource, Admin_ImportXLS_CatalogUpload %>"></asp:Label>
        <br />
    </center>
    <br />
    <br />
    <asp:Panel ID="pUploadExcel" runat="server">
    <div style="text-align:center;">
        <asp:Label ID="Label2" runat="server" Text="<%$ Resources:Resource, Admin_ImportXLS_XLSPath %>" />
        <asp:FileUpload ID="FileUpload1" runat="server" />
        <asp:Button ID="btnLoad" runat="server" Height="22px" Text="<%$ Resources:Resource, Admin_ImportXLS_Upload %>" />
    </div>
    <div style="text-align:center; margin-top:20px;">
        <asp:CheckBox ID="chboxDisableProducts" runat="server" Text="<%$ Resources:Resource, Admin_ImportXLS_DeactiveProducts %>" />
    </div>
    </asp:Panel>
    <center>
        <div style="text-align:left;font-family:Courier New; width:600px;">
            <asp:UpdatePanel ID="UpdatePanel1" runat="server"  UpdateMode="Conditional">
            <Triggers>
            <asp:AsyncPostBackTrigger ControlID="timer" EventName="Tick" />
            </Triggers>
            <ContentTemplate>
            <asp:Label ID="lblRes" runat="server" Font-Bold="True" ForeColor="Blue" />
            <asp:Label ID="lblError" runat="server" Font-Bold="True" ForeColor="Red" Visible="False"></asp:Label>
                <asp:Label ID="lProgress" runat="server" Text="\" Visible="false"></asp:Label>
            <asp:Repeater ID="rLog" runat="server" DataSourceID="sdsLog">
                    <ItemTemplate>
                        <asp:Label ID="Label1" runat="server" Text='<%# Eval("message")%>' CssClass='<%# CType(Eval("mtype"), ImportLogMessageType).ToString() %>' /><br />
                    </ItemTemplate>
            </asp:Repeater>
                <asp:HyperLink ID="hlDownloadImportLog" runat="server" Visible="false" Text="<%$ Resources:Resource, Admin_ImportXLS_DownloadImportLog%>" NavigateUrl="ImportLog.ashx" />
            </ContentTemplate>
            </asp:UpdatePanel>
        </div>
    </center>
    <asp:Timer ID="timer" runat="server" Interval="1" Enabled="false">
    </asp:Timer>
        <asp:SqlDataSource ID="sdsLog" runat="server" 
            ConnectionString="<%$ ConnectionStrings:AdvantConnectionString %>" 
            SelectCommand="SELECT TOP(10) [id], [mtype], [message] FROM [Catalog].[ImportLog] ORDER BY [id] DESC"
            InsertCommand="INSERT INTO [Catalog].[ImportLog] (message, mtype) VALUES (@message, @mtype)"
            DeleteCommand="DELETE [Catalog].[ImportLog]">
            <InsertParameters>
            <asp:Parameter Name="message" Type="String" />
            <asp:Parameter Name="mtype" Type="String" />
            </InsertParameters>
            </asp:SqlDataSource>
</asp:Content>