<%@ page language="VB" masterpagefile="MasterPage.master" autoeventwireup="false" inherits="ShoppingCart, App_Web_nfqostts" title="Cart" validaterequest="false" enableEventValidation="false" %>

<%@ MasterType VirtualPath="MasterPage.master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cphMain" runat="Server">
    <h1>
        <%=Resources.Resource.Client_ShoppingCart_Basket%></h1>
    <br />
    <asp:UpdatePanel ID="UpdatePanelBasket" runat="server">
        <ContentTemplate>
            <center>
                <asp:Label ID="lblEmpty" runat="server" Font-Size="13px" Font-Bold="true" ForeColor="Black"
                    Text="<%$ Resources:Resource, Client_ShoppingCart_NoProducts %>" Visible="False"></asp:Label>
            </center>
            <div id="dvOrderMerged" runat="server" class="ShoppingCart_MergedOrder">
                <asp:Localize ID="Localize_Client_ShoppingCart_ProductsInBasket" runat="server" Text="<%$ Resources:Resource, Client_ShoppingCart_ProductsInBasket %>"></asp:Localize>
            </div>
            <table style="width: 595px; height: 25px; margin-bottom: 5px;">
                <tr>
                    <td style="width: 420px; vertical-align: middle;">
                        <asp:LinkButton ID="lblClearBasket" OnClick="lblClearBasket_Click" runat="server"
                            Visible="false"><%=Resources.Resource.Client_ShoppingCart_ClearOrder%></asp:LinkButton>
                        <ajaxToolkit:ConfirmButtonExtender ID="ConfirmButtonExtender2" runat="server" ConfirmText="<%$ Resources:Resource, Client_ShoppingCart_ClearQ %>"
                            TargetControlID="lblClearBasket">
                        </ajaxToolkit:ConfirmButtonExtender>
                    </td>
                    <td style="vertical-align: middle;">
                        <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanelBasket">
                            <ProgressTemplate>
                                <img src="images/loading_blue.gif" alt="" />
                                <span class="ContentText">
                                    <%=Resources.Resource.Client_ShoppingCart_Updating%></span>
                                <br />
                            </ProgressTemplate>
                        </asp:UpdateProgress>
                    </td>
                </tr>
            </table>
            <asp:DataList ID="DataListBasket" runat="server" Width="600px" BackColor="White">
                <HeaderTemplate>
                    <table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="white" class="ContentTextBlack"
                        style="padding: 3px;">
                        <tr>
                            <td class="OrderTableHead" style="width: 160px; padding-left: 5px; padding-right: 5px;">
                                <asp:Localize ID="Localize_Client_ShoppingCart_Name" runat="server" Text="<%$ Resources:Resource, Client_ShoppingCart_Name %>"></asp:Localize>
                            </td>
                            <td class="OrderTableHead" style="width: 125px;">
                                <asp:Localize ID="Localize_Client_ShoppingCart_PricePerUnit" runat="server" Text="<%$ Resources:Resource, Client_ShoppingCart_PricePerUnit %>"></asp:Localize>
                            </td>
                            <td class="OrderTableHead" style="width: 90px;">
                                <asp:Localize ID="Localize_Client_ShoppingCart_Count" runat="server" Text="<%$ Resources:Resource, Client_ShoppingCart_Count %>"></asp:Localize>
                            </td>
                            <% If AdvantShop.Settings.GetAmountLimitation Then%>
                            <td class="OrderTableHead" style="width: 100px;">
                                <asp:Localize ID="Localize_Client_ShoppingCart_Available" runat="server" Text="<%$ Resources:Resource, Client_ShoppingCart_AvailableHeader %>"></asp:Localize>
                            </td>
                            <% End If%>
                            <td class="OrderTableHead" style="width: 125px;">
                                <asp:Localize ID="Localize_Client_ShoppingCart_Cost" runat="server" Text="<%$ Resources:Resource, Client_ShoppingCart_Cost %>"></asp:Localize>
                            </td>
                            <td class="OrderTableHead" style="width: 25px;">
                                &nbsp;
                            </td>
                        </tr>
                    </table>
                </HeaderTemplate>
                <ItemTemplate>
                    <table width="100%" border="0" cellspacing="0" cellpadding="0" class="ContentTextBlack"
                        style="padding: 3px; background-color: White;">
                        <tr>
                            <td class="OrderTable_td" style="width: 160px; padding-left: 5px; padding-right: 5px;">
                                <b><a class="Link" href='<%#"Details.aspx?ProductID=" & Eval("ProductID") & "&key=showp1" %>'><%#Eval("ProductName") %></a></b>
                                <%#RenderSelectedOptions(Eval("SelectedOptions").ToString())%>
                                <asp:HyperLink ID="hlEditSelectedOptions" runat="server" CssClass="editoptions" 
                                    Text="<%$ Resources:Resource, Client_ShopingCart_EditOptions%>"></asp:HyperLink>
                                <%--<asp:HyperLink ID="hlEditSelectedOptions" runat="server" CssClass="editoptions"> </asp:HyperLink>--%>
                            </td>
                            <td class="OrderTable_td" style="width: 125px;">
                                <%#AdvantShop.Catalog.GetStringPrice(Eval("Price"), Session("CurrentCurrencyRate"), _
                                                                     Session("CurrentCurrencyCode"))%>
                            </td>
                            <td class="OrderTable_td" style="width: 90px;">
                                <asp:Panel ID="Panel1" runat="server" DefaultButton="ImageButton1">
                                    <asp:TextBox ID="txtAmount" runat="server" Width="50px" Text='<%#Eval("Amount")%>'></asp:TextBox>
                                    <asp:RangeValidator ID="rvAmount" runat="server" ControlToValidate="txtAmount" Display="Dynamic"
                                        EnableClientScript="false" ErrorMessage='*' MaximumValue="10000" MinimumValue="0"
                                        Type="Integer">
                                    </asp:RangeValidator>
                                    <ajaxToolkit:FilteredTextBoxExtender ID="FilteredTextBoxExtender2" runat="server"
                                        TargetControlID="txtAmount" FilterType="Numbers" />
                                    <asp:ImageButton ID="ImageButton1" ImageUrl="images/refresh.png" runat="server" CssClass="OrderTable_ico_refresh"
                                        CommandName="ChangeAmount" CommandArgument='<%# Eval("ProductID") %>' /></asp:Panel>
                            </td>
                            <% If AdvantShop.Settings.GetAmountLimitation Then%>
                            <td class="OrderTable_td" style="width: 100px;">
                                <asp:Label ID="lbMaxCount" runat="server" Text="Label" ForeColor="Red" CssClass="lbMaxCount"
                                    Font-Bold="true"></asp:Label>
                            </td>
                            <% End If%>
                            <td class="OrderTable_td" style="width: 125px;">
                                <%#AdvantShop.Catalog.GetStringPrice(Eval("Price"), Session("CurrentCurrencyRate"), _
                                                                     Session("CurrentCurrencyCode"), 0, Eval("Amount"))%>
                            </td>
                            <td class="OrderTable_td" style="width: 25px;">
                                <asp:ImageButton ID="ImageButton_DeleteItem" ImageUrl="images/remove.gif" runat="server"
                                    CommandName="DeleteItem" CommandArgument='<%# Eval("ProductID") %>' />
                            </td>
                        </tr>
                    </table>
                </ItemTemplate>
                <AlternatingItemTemplate>
                    <table width="100%" border="0" cellspacing="0" cellpadding="0" class="ContentTextBlack"
                        style="padding: 3px; background-color: White;">
                        <tr>
                            <td class="OrderTable_td_alt" style="width: 160px; padding-left: 5px; padding-right: 5px;">
                                <b><a class="Link" href='<%#"Details.aspx?ProductID=" & Eval("ProductID") & "&key=showp1" %>'><%#Eval("ProductName") %></a></b>
                                <%#RenderSelectedOptions(Eval("SelectedOptions").ToString())%>
                                <asp:HyperLink ID="hlEditSelectedOptions" runat="server" CssClass="editoptions" 
                                    Text="<%$ Resources:Resource, Client_ShopingCart_EditOptions%>"></asp:HyperLink>
                            </td>
                            <td class="OrderTable_td_alt" style="width: 125px;">
                                <%#AdvantShop.Catalog.GetStringPrice(Eval("Price"), Session("CurrentCurrencyRate"), _
                                                                     Session("CurrentCurrencyCode"))%>
                            </td>
                            <td class="OrderTable_td_alt" style="width: 90px;">
                                <asp:Panel ID="Panel1" runat="server" DefaultButton="ImageButton1">
                                    <asp:TextBox ID="txtAmount" runat="server" Width="50px" Text='<%#Eval("Amount")%>'></asp:TextBox>
                                    <ajaxToolkit:FilteredTextBoxExtender ID="FilteredTextBoxExtender2" runat="server"
                                        TargetControlID="txtAmount" FilterType="Numbers" />
                                    <asp:RangeValidator ID="rvAmount" runat="server" ControlToValidate="txtAmount" Display="Dynamic"
                                        EnableClientScript="false" ErrorMessage='*' MaximumValue="10000" MinimumValue="0"
                                        Type="Integer">
                                    </asp:RangeValidator>
                                    <ajaxToolkit:FilteredTextBoxExtender ID="FilteredTextBoxExtender1" runat="server"
                                        TargetControlID="txtAmount" FilterType="Numbers" />
                                    <asp:ImageButton ID="ImageButton1" ImageUrl="images/refresh.png" runat="server" CssClass="OrderTable_ico_refresh"
                                        CommandName="ChangeAmount" CommandArgument='<%# Eval("ProductID") %>' /></asp:Panel>
                            </td>
                            <% If AdvantShop.Settings.GetAmountLimitation Then%>
                            <td class="OrderTable_td_alt" style="width: 100px;">
                                <asp:Label ID="lbMaxCount" runat="server" Text="Label" ForeColor="Red" CssClass="lbMaxCount"
                                    Font-Bold="true"></asp:Label>
                            </td>
                            <% End If%>
                            <td class="OrderTable_td_alt" style="width: 125px;">
                                <%#AdvantShop.Catalog.GetStringPrice(Eval("Price"), Session("CurrentCurrencyRate"), _
                                                                     Session("CurrentCurrencyCode"), 0, Eval("Amount"))%>
                            </td>
                            <td class="OrderTable_td_alt" style="width: 25px;">
                                <asp:ImageButton ID="ImageButton_DeleteItem" ImageUrl="images/remove.gif" runat="server"
                                    CommandName="DeleteItem" CommandArgument='<%# Eval("ProductID") %>' />
                            </td>
                        </tr>
                    </table>
                </AlternatingItemTemplate>
                <FooterTemplate>
                </FooterTemplate>
            </asp:DataList>
            <br />
            <asp:Panel ID="pnlSummary" runat="server" Visible="false">
                <table border="0" cellspacing="0" cellpadding="0" class="ContentTextBlack" style="padding: 3px;
                    width: 590px;">
                    <td rowspan="4" style="padding-left: 10px;">
                        &nbsp;
                        <adv:AdvButton ID="btnConfirmOrder" runat="server" Text="<%$ Resources:Resource, Client_ShoppingCart_DrawUp %>"
                            CssInput="adv_OrangeButton_Input" CssInputMozz="adv_OrangeButton_Input-mozz"
                            CssLeftDiv="adv_OrangeButton_LeftDiv" CssRightDiv="adv_OrangeButton_RightDiv"
                            CssCenterDiv="adv_OrangeButton_CenterDiv" />
                    </td>
                    <tr style="height: 23px;">
                        <td style="width: 240px; text-align: right;">
                            <%=Resources.Resource.Client_ShoppingCart_CostOrder%>:&nbsp;
                        </td>
                        <td style="width: 135px;">
                            <asp:Label ID="lblTotalOrderPrice" runat="server"></asp:Label>
                        </td>
                    </tr>
                    <tr id="discountRow" runat="server" style="height: 23px;">
                        <td style="width: 240px; text-align: right;">
                            <%=Resources.Resource.Client_ShoppingCart_Discount%>:&nbsp;
                        </td>
                        <td style="width: 135px;">
                            <asp:Label ID="lblOrderDiscount" runat="server"></asp:Label>
                        </td>
                    </tr>
                    <tr style="height: 23px;">
                        <td style="width: 240px; text-align: right;">
                            <b>
                                <%=Resources.Resource.Client_ShoppingCart_Total%>:&nbsp;</b>
                        </td>
                        <td style="width: 135px;">
                            <b>
                                <asp:Label ID="lblTotalPrice" runat="server"></asp:Label></b>
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </ContentTemplate>
    </asp:UpdatePanel>
    <asp:Panel ID="PanelGoNext1" runat="server" HorizontalAlign="Left" Width="100%">
        <br />
        <br />
        <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl="~/Default.aspx" Text="<%$ Resources:Resource, Client_ShoppingCart_ToMain %>"></asp:HyperLink><br />
    </asp:Panel>
    <br />
    <a href="" id="aBackToCatalog" runat="server" visible="true">
        <asp:Localize ID="Localize1" runat="server" Text="<%$ Resources:Resource, Client_ShoppingCart_ContinueBuying %>"></asp:Localize></a>
</asp:Content>
