﻿<%@ control language="VB" autoeventwireup="false" inherits="UserControls_CatalogDataTreeView, App_Web_zoeiv1uc" %>

<div id="DataTableBlock" style="width:100%">
    <div class="controlLinks">
        <span style="float:left">
            <a class="Link" href="javascript: SelectAll();"><asp:Literal ID="Literal1" runat="Server" Text='<%$ Resources:Resource, Admin_ExportFeed_TreeControlSelectAll %>' /></a>
            |
            <a class="Link" href="javascript: DeselectAll();"><asp:Literal runat="Server" Text='<%$ Resources:Resource, Admin_ExportFeed_TreeControlClearAll %>' /></a>
            |
            <span id="TotalProductSelectedLiteral" style="font-weight:bold" runat="Server" /> <asp:Literal runat="Server" Text='<%$ Resources:Resource, Admin_ExportFeed_TreeControlTotalSelected %>' /></span>
        </span>
        <span><span><asp:Literal runat="Server" Text='<%$ Resources:Resource, Admin_ExportFeed_TreeControlTotalFounded %>' /> <span id="TotalRecordsLiteral" style="font-weight:bold" runat="Server" /> <asp:Literal runat="Server" Text='<%$ Resources:Resource, Admin_ExportFeed_TreeControlRecords %>' /></span></span>
    </div>
    <div class="dataTableBlock">
        <table id="DataTable" class="dataTable" cellspacing="0" runat="server">        
    	    <tr class="headerRow">
    		    <td class="headerCell" style="width:auto;"><div class="headerRowFiller"><asp:Literal runat="Server" Text='<%$ Resources:Resource, Admin_ExportFeed_TreeControlProduct %>' /></div></td>
    		    <td class="headerCell" style="width:200px"><asp:Literal runat="Server" Text='<%$ Resources:Resource, Admin_ExportFeed_TreeControlPrice %>' /></td>
    		    <td class="headerCell" style="width:100px"><asp:Literal runat="Server" Text='<%$ Resources:Resource, Admin_ExportFeed_TreeControlUnit %>' /></td>
    	    </tr>
        </table>
    </div>
</div>

<script type="text/javascript">
        var TREEVIEW_ID = "<%# Me.UniqueID.ToString().Replace("$", "_") %>";
        var SELECTED_ID = "<%# TotalProductSelectedLiteral.UniqueID.ToString().Replace("$", "_") %>";
         
        //checkbox click event handler
        function checkBox_Click(eventElement) {
            eventElement.stopPropagation();
            ToggleCheckBox(eventElement.target);
        }
        
        function ProductRow_ClickHandler(row)
        {
            var checkbox = row.getElementsByTagName("input")[0];
            checkbox.checked = !checkbox.checked;
            ToggleCheckBox(checkbox);
        }
        
        function ToggleCheckBox(element)
        {
            var state = element.checked;
            ToggleChildCheckbox(element.id, state);
            ToggleParentCheckbox(element.id, state);             
            
            var checkbox = document.getElementById(element.id);
            var checkboxIdRegExp = /(.*)_Product/;
            var checkboxIdMatch = checkboxIdRegExp.exec(element.id);
            if(checkboxIdMatch != null){
                var selected = document.getElementById(SELECTED_ID);
                if(checkbox.checked == true){
                    selected.innerHTML = new Number(selected.innerHTML) + 1;
                }
                else{
                    selected.innerHTML = new Number(selected.innerHTML) - 1;
                }
            }     
        }
        
        function SelectAll(){
            var checkBoxes = document.getElementById("DataTableBlock").getElementsByTagName("input");
            for(var i = 0; i < checkBoxes.length; ++i){
                if(checkBoxes[i].type = "checkbox"){
                    var rootIdRegExp = /\w*#_[a-zA-Z0-9]*_Category/;
                    if(rootIdRegExp.test(checkBoxes[i].id)){
                        ToggleChildCheckbox(checkBoxes[i].id, true);
                    }
                }
            }
        }
        
        function DeselectAll(){
            var checkBoxes = document.getElementById("DataTableBlock").getElementsByTagName("input");
            for(var i = 0; i < checkBoxes.length; ++i){
                if(checkBoxes[i].type = "checkbox"){
                   var rootIdRegExp = /\w*#_[a-zA-Z0-9]*_Category/;
                    if(rootIdRegExp.test(checkBoxes[i].id)){
                        ToggleChildCheckbox(checkBoxes[i].id, false);
                    }
                }
            }
        }
        
        function ToggleParentCheckbox(checkboxId, state){
            var checkbox = document.getElementById(checkboxId);
            
            var checkboxIdRegExp = /(.*)_Category/;
            var checkboxIdMatch = checkboxIdRegExp.exec(checkboxId);
            if(checkboxIdMatch != null){
                var subElementsRegExp = new RegExp(checkboxIdMatch[1] + "(_[a-zA-Z0-9]*_){1}(Category|Product)");
                var checkboxes = document.getElementById("DataTableBlock").getElementsByTagName("input");
                
                var totalSubelements = 0;
                var selectedSubElements = 0;
                
                for(var i = 0; i < checkboxes.length; ++i){
                    var subElementMatch = subElementsRegExp.exec(checkboxes[i].id);
                    if(subElementMatch != null){
                        ++totalSubelements;
                        if(checkboxes[i].checked == true){
                            ++selectedSubElements;
                        }
                    }
                }
                if(selectedSubElements != 0 && totalSubelements != 0){
                    checkbox.checked = true;
                } else {
                    checkbox.checked = false;
                }

            }
            
            var parentIdRegExp = /([\w#]*)(_[a-zA-Z0-9]*)(_[a-zA-Z0-9]*)_(Category|Product)/;
            var parentIdMatch =  parentIdRegExp.exec(checkboxId);
            if(parentIdMatch == null){
                return;
            }
            var parentId = parentIdMatch[1] + parentIdMatch[2] + "_Category";
            ToggleParentCheckbox(parentId, state);           
        }
        
        function ToggleChildCheckbox(checkboxId, state){
            var checkbox = document.getElementById(checkboxId);
            var checkboxIdRegExp = /(.*)_Category/;
            var checkboxIdMatch = checkboxIdRegExp.exec(checkboxId);
            if(checkboxIdMatch == null){
                var selected = document.getElementById(SELECTED_ID);
                if(checkbox.checked != state ){
                    if(state == true){
                        selected.innerHTML = new Number(selected.innerHTML) + 1;
                    }
                    else{
                        selected.innerHTML = new Number(selected.innerHTML) - 1;
                    }
                }
                checkbox.checked = state;
                return;
            }     
            
            checkbox.checked = state;  
            
            checkboxId = checkboxIdMatch[1];
            var subElementsRegExp = new RegExp(checkboxId + "(_[a-zA-Z0-9]*_){1}(Category|Product)");
            var checkboxes = document.getElementById("DataTableBlock").getElementsByTagName("input");
            for(var i = 0; i < checkboxes.length; ++i){
                var subElementMatch = subElementsRegExp.exec(checkboxes[i].id);
                if(subElementMatch != null){
                    ToggleChildCheckbox(subElementMatch[0], state);
                }
            }
        }
        
        function ShowTableRow(checkboxId){
            var checkboxIdRegExp = /(.*)_Category/;
            var checkboxIdMatch = checkboxIdRegExp.exec(checkboxId);
            checkboxId = checkboxIdMatch[1];
            var subElementsRegExp = new RegExp(checkboxId + "(_[a-zA-Z0-9]*_){1}(Category|Product)");
            var tableRows = document.getElementById("DataTableBlock").getElementsByTagName("tr");
            var currentRow = null;
            for(var i = 0; i < tableRows.length; ++i){
                var checkBoxes = tableRows[i].getElementsByTagName("input");
                if(checkBoxes.length != 0){
                    if(checkBoxes[0].type == "checkbox"){
                        var subElemMath = subElementsRegExp.exec(checkBoxes[0].id);
                        if(subElemMath != null){
                            tableRows[i].style.display = "";
                        }
                        if(checkBoxes[0].id == checkboxId + "_Category"){
                            currentRow = tableRows[i];
                        }
                    }
                }
            }
            if(currentRow != null){
                var arg = checkboxId + "_Category";
                currentRow.onclick = function onclick(event)
                {
                    HideTableRow(arg);
                };
                var image = currentRow.getElementsByTagName("img")[0]
                image.src = "images/collapse.jpg"
            }
            
        }   
        
        function HideTableRow(checkboxId){
            var checkboxIdRegExp = /(.*)_Category/;
            var checkboxIdMatch = checkboxIdRegExp.exec(checkboxId);
            checkboxId = checkboxIdMatch[1];
            var subElementsRegExp = new RegExp(checkboxId + "(_[a-zA-Z0-9]*)+_(Category|Product)");
            var tableRows = document.getElementById("DataTableBlock").getElementsByTagName("tr");
            var currentRow = null;
            for(var i = 0; i < tableRows.length; ++i){
                var checkBoxes = tableRows[i].getElementsByTagName("input");
                if(checkBoxes.length != 0){
                    if(checkBoxes[0].type == "checkbox"){
                        if(subElementsRegExp.test(checkBoxes[0].id)){
                            tableRows[i].style.display = "none";
                            if(checkboxIdRegExp.test(checkBoxes[0].id)){
                                HideTableRow(checkBoxes[0].id);
                            }
                        }
                        if(checkBoxes[0].id == checkboxId + "_Category"){
                            currentRow = tableRows[i];
                        }
                    }
                }
            }
           if(currentRow != null){
                var arg = checkboxId + "_Category";
                currentRow.onclick = function onclick(event)
                {
                    ShowTableRow(arg);                                    
                };
                var image = currentRow.getElementsByTagName("img")[0]
                image.src = "images/expand_blue.jpg"
            } 
        }     
        
        function setupCheckBoxesClickHandlers(){
            var checkBoxes = document.getElementById("DataTableBlock").getElementsByTagName("input");
            for (var i = 0; i < checkBoxes.length; i++) {
                if (checkBoxes[i].type == "checkbox") {
                    Sys.UI.DomEvent.addHandler(checkBoxes[i], "click", checkBox_Click);
                }
            }
        }
        
        function onDataRowMouseOver(item){
            item.style.backgroundColor = "#cccccc";
        }
        
        function onDataRowMouseOut(item){
            item.style.backgroundColor = "";
        }
        
        Sys.WebForms.PageRequestManager.getInstance().add_pageLoaded(setupCheckBoxesClickHandlers);
    </script>