﻿<%@ control language="VB" autoeventwireup="false" inherits="UserControls_ProductView, App_Web_zoeiv1uc" %>
<asp:DataList ID="dlTilesView" runat="server" CssClass="datalist" Width="600px" ItemStyle-CssClass="ItemStyle"
    RepeatDirection="Horizontal" RepeatColumns="3" RepeatLayout="Table">
    <ItemTemplate>
        <div>
            <%#renderPicruteTag(Eval("ID"), Eval("Name"), Eval("Photo").ToString())%>
            <div style="margin-top: 4px;">
                <%#IIf(Not TypeOf Eval("SpecialOfferID") Is DBNull, "<span class='SpecialOffer'>" & Resources.Resource.Client_Catalog_SpecialOfferText & "</span><br />", "")%>
                <asp:HyperLink ID="HyperLink1" runat="server" CssClass="productLink" Text='<%# Resources.Resource.Client_UserControls_ProductView_SKU & Eval("ArtNo")  %>' NavigateUrl='<%# "~/Details.aspx?ProductID=" & Eval("ID")%>' /><br />
                <a class='productLink' href='<%# "Details.aspx?ProductID=" & Eval("ID")%>' title='<%# Eval("Name") %>'>
                    <asp:Label ID="lblProductName" runat="server" Text='<%# Eval("Name") %>'></asp:Label>
                </a>
                <%--<ajaxToolkit:Rating ID="ThaiRating" runat="server" CurrentRating='<%# Eval("Ratio") %>'
                        Visible='<%# Eval("ShowRatio") %>' Enabled='<%# Eval("EnabledRatio") %>' MaxRating="5"
                        ReadOnly="true" StarCssClass="ratingStar" WaitingStarCssClass="savedRatingStar"
                        FilledStarCssClass="filledRatingStar" EmptyStarCssClass="emptyRatingStar" />--%>
                <br />
                <%#If(Not String.IsNullOrEmpty(Eval("BriefDescription").ToString()), "<a class='Link' style='text-decoration: none;' href='Details.aspx?ProductID=" & Eval("ID") & "'>" & Eval("BriefDescription") & "</a><br />", "<br />")%>
                <span style="font-size: 14px;"><%#RenderPrice(CDec(Eval("Price")), CDbl(Eval("Discount")))%></span>
                <br />
                <div>
                    <asp:Panel ID="Panel1" runat="server"  Visible='<%# Eval("Price") > 0 AndAlso Eval("Amount") > 0 %>' style="font-weight: bold; float: left; margin-top: 6px; margin-right: 3px;"><%=Resources.Resource.Client_Catalog_Quantity%>:
                    </asp:Panel>
                    <asp:TextBox ID="txtProductAmount" runat="server" Visible='<%# Eval("Price") > 0 AndAlso Eval("Amount") > 0 %>' Text="1" Style="width: 30px; float: left;
                        margin-right: 3px; vertical-align: middle;"></asp:TextBox>
                    <ajaxToolkit:FilteredTextBoxExtender ID="FilteredTextBoxExtender1" runat="server" 
                        TargetControlID="txtProductAmount" FilterType="Numbers" />
                    <adv:AdvButton ID="Button1" runat="server" CommandArgument='<%# Eval("ID") %>' Visible='<%# Eval("Price") > 0 AndAlso Eval("Amount") > 0 %>'
                        CommandName="AddProduct" Text="<%$ Resources:Resource, Client_Catalog_Add %>" />
                </div>
            </div>
        </div>
        <br />
        <br />
    </ItemTemplate>
    <ItemStyle Width="33%" />
</asp:DataList>
<asp:Repeater ID="rListView" runat="server">
    <ItemTemplate>
        <table width="100%">
            <tr>
                <td id="tdimg" runat="server" rowspan="2" style="width:125px;" visible='<%# Not String.IsNullOrEmpty(Eval("Photo").ToString()) %>'>
                    <%#renderPicruteTag(Eval("ID"), Eval("Name"), Eval("Photo").ToString())%>
                </td>
                <td colspan="2">
                    <%#IIf(Not TypeOf Eval("SpecialOfferID") Is DBNull, "<span class='SpecialOffer'>" & Resources.Resource.Client_Catalog_SpecialOfferText & "</span><br />", "")%>
                <asp:HyperLink ID="HyperLink1" runat="server" CssClass="productLink" Text='<%# Resources.Resource.Client_UserControls_ProductView_SKU & Eval("ArtNo") %>' NavigateUrl='<%# "~/Details.aspx?ProductID=" & Eval("ID")%>' /><br />
                    <a class='productLink' href='<%# "Details.aspx?ProductID=" & Eval("ID")%>' title='<%# Eval("Name") %>'><%# Eval("Name") %></a>
                    <br />
                    <%#If(Not String.IsNullOrEmpty(Eval("BriefDescription").ToString()), "<a class='Link' style='text-decoration: none;' href='Details.aspx?ProductID=" & Eval("ID") & "'>" & Eval("BriefDescription") & "</a>", String.Empty)%>                    
                    <br />
                   <span style="font-size: 14px;"><%#RenderPrice(CDec(Eval("Price")), CDbl(Eval("Discount")))%></span>
                </td>
            </tr>
            <tr runat="server" id="trBuy"  Visible='<%# Eval("Price") > 0 AndAlso Eval("Amount") > 0 %>'>
            <td>
            <span style="font-weight: bold; margin-top: 6px; margin-right: 3px;">
                        <%=Resources.Resource.Client_Catalog_Quantity%>:</span>
                    <asp:TextBox ID="txtProductAmount" runat="server" Text="1" Style="width: 30px; margin-right: 3px; vertical-align: middle;"></asp:TextBox>
                    <ajaxToolkit:FilteredTextBoxExtender ID="FilteredTextBoxExtender1" runat="server"
                        TargetControlID="txtProductAmount" FilterType="Numbers" /></td>
            <td align="right">
            <adv:RoundedButton ID="btnAdd" runat="server" Text="<%$ Resources:Resource, Client_Catalog_Add %>" CommandArgument='<%# Eval("ID") %>' CommandName="AddProduct" />
            </td>
            </tr>
            <tr>
            <td style="background-image:url('images/spliter_c.gif'); height:14px;" colspan="3"></td>
            </tr>
        </table>
    </ItemTemplate>
</asp:Repeater>
<asp:DataGrid runat="server" ID="dgTableView" AutoGenerateColumns="false" Width="100%"
    ItemStyle-CssClass="productview_row" AlternatingItemStyle-CssClass="productview_arow"
    HeaderStyle-CssClass="productview_tableheader" GridLines="None">
    <Columns>
        <asp:TemplateColumn>
            <ItemTemplate>
                <asp:CheckBox ID="cbS" runat="server" Enabled='<%# Eval("Price") > 0 AndAlso Eval("Amount") > 0 %>' />
                <asp:HiddenField ID="hfId" runat="server" Value='<%# Eval("ID") %>' />
            </ItemTemplate>
        </asp:TemplateColumn> 
        <asp:TemplateColumn HeaderText="<%$ Resources:Resource, Client_UserControls_ProductView_SKUCol%>">
        <ItemTemplate>
        <asp:HyperLink ID="HyperLink1" runat="server" CssClass="productLink" Text='<%# Eval("ArtNo") %>' NavigateUrl='<%# "~/Details.aspx?ProductID=" & Eval("ID")%>' />
        </ItemTemplate>
        </asp:TemplateColumn>
        <asp:TemplateColumn HeaderText="<%$ Resources:Resource, Client_UserControls_ProductView_Name%>">
        <ItemTemplate>
        <%#IIf(Not TypeOf Eval("SpecialOfferID") Is DBNull, "<span class='SpecialOffer'>" & Resources.Resource.Client_Catalog_SpecialOfferText & "</span><br />", "")%>
        <a class='productLink' href='<%# "Details.aspx?ProductID=" & Eval("ID")%>' title='<%# Eval("Name") %>'><%# Eval("Name") %></a>
        </ItemTemplate>
        </asp:TemplateColumn>
        <asp:TemplateColumn HeaderText="<%$ Resources:Resource, Client_UserControls_ProductView_Price%>">
        <ItemTemplate>
        <span style="font-size: 11px;"><%#RenderPrice(CDec(Eval("Price")), CDbl(Eval("Discount")))%></span>
        </ItemTemplate>
        </asp:TemplateColumn>
        <asp:TemplateColumn HeaderText="<%$ Resources:Resource, Client_UserControls_ProductView_Amount%>" HeaderStyle-Width="52" ItemStyle-HorizontalAlign="Center">
        <ItemTemplate>
        <asp:TextBox ID="txtProductAmount" runat="server" Text="1" Visible='<%# Eval("Price") > 0 AndAlso Eval("Amount") > 0 %>' Style="width: 30px; 
                        margin-right: 3px; vertical-align: middle;"></asp:TextBox>
                    <ajaxToolkit:FilteredTextBoxExtender ID="FilteredTextBoxExtender1" runat="server"
                        TargetControlID="txtProductAmount" FilterType="Numbers" />
        </ItemTemplate>
        </asp:TemplateColumn>
        <asp:TemplateColumn HeaderStyle-Width="90">
            <ItemTemplate>
                <adv:RoundedButton ID="btnAdd" runat="server"  Visible='<%# Eval("Price") > 0 AndAlso Eval("Amount") > 0 %>' Text="<%$ Resources:Resource, Client_Catalog_Add %>" CommandName="AddProduct" CommandArgument='<%# Eval("ID") %>' />
            </ItemTemplate>
        </asp:TemplateColumn>
    </Columns>
</asp:DataGrid>
<div style="width: 100%;text-align:right;margin-top:10px;">
    <adv:RoundedButton ID="btnAddSelected" runat="server" Type="Orange" Text="<%$ Resources:Resource, Client_UserControls_AddSelected %>" />
</div>
