﻿<%@ control language="VB" autoeventwireup="false" inherits="UserControls_ShoppingCart, App_Web_zoeiv1uc" %>
<!----Shopping cart------------>
<img class="block_shadow" src="images/block_r_sh.jpg" style="margin-top: 5px; margin-left: 175px;
    width: 13px;" alt="" />
<asp:UpdatePanel ID="upShoppingCart" runat="server">
    <ContentTemplate>
        <div class="block">
            <div class="block_header">
                <div class="block_name" style="float: left;">
                    <%=Resources.Resource.Client_UserControls_ShoppingCart_ShoppingCart%></div>
                <asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="updatePanel">
                    <ProgressTemplate>
                        <asp:Image ID="Image1" runat="server" ImageUrl="~/UserControls/images/ajax-loader.gif"
                            Style="margin-top: 3px;" />
                    </ProgressTemplate>
                </asp:UpdateProgress>
            </div>
            <div class="block_middle">
                <div class="block_content">
                    <asp:UpdatePanel ID="updatePanel" runat="server" ChildrenAsTriggers="true" UpdateMode="Conditional">
                        <ContentTemplate>
                            <asp:Panel ID="pnlNoItems" runat="server" Visible="false">
                                <div style="margin-top: 17px; margin-bottom: 7px; text-align: center;">
                                    <asp:Label ID="labelNoItems" runat="server" Text="<%$ Resources:Resource, Client_UserControls_ShoppingCart_NoItems %>">
                                    </asp:Label>
                                </div>
                            </asp:Panel>
                            <asp:Repeater ID="repeater" runat="server" OnItemCommand="repeater_ItemCommand">
                                <ItemTemplate>
                                    <table class="blockT">
                                        <tr>
                                            <td id="Td1" runat="server" class="p_photo" visible='<%# Not String.IsNullOrEmpty(Eval("Photo")) %>'>
                                                <a href="<%# "details.aspx?ProductID=" & Eval("ProductID")%>" title="<%# Eval("ProductName") %>">
                                                    <img border='0' src='<%# If(Eval("Photo").ToString().Contains("://"), Eval("Photo"), AdvantShop.Core.FilePath.Images.GetImageProductPath() & Eval("Photo").ToString() & "_xsmall.jpg") %>' /></a>
                                            </td>
                                            <td class="p_desc" style="font-size: 11px;">
                                                <a href="<%# "details.aspx?ProductID=" & Eval("ProductID")%>" title="<%# Eval("ProductName")%>"
                                                    class="product_block">
                                                    <%# Eval("ProductName") %></a>
                                                <div class="qty">
                                                    <%=Resources.Resource.Client_UserControls_ShoppingCart_Quantity%>:
                                                    <asp:TextBox ID="txtAmount" runat="server" CssClass="quantity" Text='<%# Eval("Amount") %>' />&nbsp;<asp:LinkButton
                                                        ID="llbChangeAmount" runat="server" CommandName="ChangeAmount" CommandArgument='<%# Eval("ProductID") %>'
                                                        CausesValidation="false"><img src="images/refresh.png" style="vertical-align: middle"></asp:LinkButton>
                                                    <ajaxToolkit:FilteredTextBoxExtender ID="FilteredTextBoxExtender" runat="server"
                                                        TargetControlID="txtAmount" FilterType="Numbers" />
                                                </div>
                                                <div class="remove">
                                                    <asp:LinkButton ID="llbDelete" CssClass="Link" CommandName="DeleteItem" CommandArgument='<%# Eval("ProductID") %>'
                                                        runat="server" Style="font-size: 11px; color: black;" CausesValidation="false"><img src="images/remove.gif" style="vertical-align: middle">&nbsp;<%=Resources.Resource.Client_UserControls_ShoppingCart_Remove%></asp:LinkButton>
                                                </div>
                                            </td>
                                        </tr>
                                    </table>
                                    <div class="prod_total">
                                        <%=Resources.Resource.Client_UserControls_ShoppingCart_Total%>:
                                        <%# Eval("Amount") %>
                                        * <span>
                                            <%#AdvantShop.Catalog.GetStringPrice(Eval("Price"), Session("CurrentCurrencyRate"), Session("CurrentCurrencyCode"))%></span>
                                        = <span class="price">
                                            <%#AdvantShop.Catalog.GetStringPrice(Eval("Price"), Session("CurrentCurrencyRate"), Session("CurrentCurrencyCode"), 0, Eval("Amount"))%></span></div>
                                    <img src="images/spliter.jpg" alt="" />
                                </ItemTemplate>
                            </asp:Repeater>
                            <div id="cart_total">
                                <asp:Panel ID="panelSummary" runat="server">
                                    <strong>
                                        <%=Resources.Resource.Client_UserControls_ShoppingCart_Total%>: </strong>
                                    <asp:Label ID="lblTotalOrderPrice" runat="server" Text="Label"></asp:Label><br />
                                    <strong>
                                        <%=Resources.Resource.Client_UserControls_ShoppingCart_Discount%>: </strong>
                                    <asp:Label ID="lblOrderDiscount" runat="server" Text="Label"></asp:Label><br />
                                    <strong>
                                        <%=Resources.Resource.Client_UserControls_ShoppingCart_Sum%>: </strong><span class="price">
                                            <asp:Label ID="lblSubTotalPrice" runat="server" Text="Label"></asp:Label></span>
                                </asp:Panel>
                            </div>
                        </ContentTemplate>
                    </asp:UpdatePanel>
                    <img src="images/spliter.jpg" alt="" />
                    
                    <div style="text-align: right;">
                        <a href="shoppingcart.aspx" class="Link">
                            <%=Resources.Resource.Client_UserControls_ShoppingCart_ViewCart%>...</a> |
                        <asp:LinkButton ID="lbConfirm" CssClass="Link" runat="server"><%=Resources.Resource.Client_UserControls_ShoppingCart_Checkout%>...</asp:LinkButton>
                    </div>
                </div>
            </div>
            <div class="block_footer">
            </div>
        </div>
    </ContentTemplate>
</asp:UpdatePanel>
